Page MenuHomePhabricator

Use SnakFormatter::FORMAT_PLAIN for the current output of client data access functionality
Closed, ResolvedPublic

Description

And escape wikitext as needed.

Details

Related Gerrit Patches:
mediawiki/extensions/Wikibase : masterBinaryOptionDispatchingSnakFormatter fails on unknown properties
mediawiki/extensions/Wikibase : masterUse FORMAT_PLAIN for data access output

Event Timeline

daniel added a comment.Oct 6 2016, 8:54 PM

Why not FORMAT_WIKITEXT?

hoo added a comment.Oct 6 2016, 9:22 PM

Why not FORMAT_WIKITEXT?

Because we want to use FORMAT_WIKI to deliver actual wiki text (and not just wikitext escaped plain text).

The migration path is: Make current things use format plain, enhance format wiki (link entity ids, …), create new functionality that uses format wiki (while leaving the old functionality intact).

Change 314610 had a related patch set uploaded (by Hoo man):
Use FORMAT_PLAIN for data access output

https://gerrit.wikimedia.org/r/314610

hoo moved this task from Doing to Review on the Wikidata-Sprint-2016-09-21 board.Oct 6 2016, 10:22 PM

Change 314610 merged by jenkins-bot:
Use FORMAT_PLAIN for data access output

https://gerrit.wikimedia.org/r/314610

hoo closed this task as Resolved.Oct 7 2016, 3:08 PM
hoo moved this task from Review to Done on the Wikidata-Sprint-2016-09-21 board.
hoo removed a project: Patch-For-Review.

Change 321668 had a related patch set uploaded (by Thiemo Mättig (WMDE)):
BinaryOptionDispatchingSnakFormatter fails on unknown properties

https://gerrit.wikimedia.org/r/321668

Change 321668 merged by jenkins-bot:
BinaryOptionDispatchingSnakFormatter fails on unknown properties

https://gerrit.wikimedia.org/r/321668